UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor natanr123
Visitor
683 Views
Registered: ‎06-01-2018

AWS F1 fails in Software Emulation but Hardware Emulation works

Hi I have followed this guide creating the Hello Wold example:

https://github.com/aws/aws-fpga/blob/master/SDAccel/docs/README_GUI.md

The problem is that while the Hardware Emulation works fine the Software Emulations fails and I get this error:

 

ERROR: [XOCC 17-1309] Gcc: /home/centos/src/project_data/aws-fpga/SDAccel/examples/xilinx_2017.4/getting_started/host/helloworld_ocl/GUI_test/hello/Emulation-SW/_xocc_link_binary_container_1/impl/build/cpu_em/binary_container_1/csim/vector_add/vector_add.clc.csim_cu-opt.s:229:inconsistent uses of .cfi_sections
ERROR: [XOCC 60-398] g++ failed
make: *** [binary_container_1.xclbin] Error 1
ERROR: [XOCC 60-626] Kernel link failed to complete
ERROR: [XOCC 60-703] Failed to finish linking

 

The AMI version I am using is 1.40 and Xilinx SDx v2017.4.op is installed on the machine

And the platform is: xilinx_aws-vu9p-f1_dynamic_5_0

The AWS SDK  release is 1.3.8

I have also tried the Vector Addition example from Project Wizard and had the same problem

Any Idea how to fix this?

error.PNG
version.PNG
0 Kudos
2 Replies
Visitor kisel.93
Visitor
596 Views
Registered: ‎02-19-2018

Re: AWS F1 fails in Software Emulation but Hardware Emulation works

Hi, I worked with SDAccel on my local PC under CentOS 7, everything was OK, but a few days ago I have faced the same problem compiling new project. Even my previous projects that worked fine are throwing errors if I try to build cpu emulation. HW emulation works fine. I assumed that it could be something with latest OS updates and new GCC version. Downgraded GCC to the previous version but still not working. Maybe OS or SDAccel reinstall would work.

Visitor kisel.93
Visitor
501 Views
Registered: ‎02-19-2018

Re: AWS F1 fails in Software Emulation but Hardware Emulation works

Hello again! Sorry for such a late response, had some work to do before testing this. I've installed older release of CentOS 7 from my usb (3.10.0-693.el7.x86_64), installed SDAccel and everything worked. The gcc installed was latest (4.8.5). Then I made "yum update" and those "inconsistent uses of .cfi_sections" error appears again. Current CentOS kernel version is 3.10.0-862.9.1.el7.x86_64. Seems like it is kernel update problem. So that the fastest way to handle with it is to reinstall OS and to disable autoupdates if they are enabled.

0 Kudos